customField.setValues

Set the values of multiple custom fields for a given object in a single call.
This is the recommended approach when updating multiple fields on the same object
to avoid race conditions that can occur with concurrent customField.setValue calls.

Note: To set custom fields on an Employee, use user.setCustomFieldValues instead.

The values accepted in the fieldValue param depend on the type of field that's being updated. See the customField.setValue docs for the full per-type table.

Requires the candidatesWrite permission.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
uuid
required

The id of the object the field values are being set on.

string
enum
required

The type of object the fields are associated with.

Allowed:
values
array of objects
required
length ≥ 1

Array of custom field updates to apply

values*
uuid
required

The unique id of the Custom Field definition for the field

boolean | number | string | array | object | null
required

The value to store in the field. The accepted type depends on the custom field's fieldType. See the description above for the full per-type table.

Response

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json